%global dlrn_nvr python-tripleoclient-10.6.1.dev72-0.20190117233303.e780899
%global dlrn 1
%define upstream_version 10.6.1.dev72
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           python-tripleoclient
Version: 10.6.1
Release: 0.20190117233304.e780899%{?dist}
Summary:        OpenstackClient plugin for tripleoclient

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/python-tripleoclient
Source0: python-tripleoclient-10.6.1.dev72-0.20190117233303.e780899-e7808997708cceb56f094e266e7de9cce7658daa.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=e7808997708cceb56f094e266e7de9cce7658daa
Patch0001: 0001-Address-python3-string-issues-with-subprocess.patch
Patch0002: 0002-Use-preserve-env-to-keep-proxy-settings.patch
Patch0003: 0003-Run-hostname-check-for-standalone.patch

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-pbr
BuildRequires:  python2-setuptools
# testing requirements
BuildRequires:  python2-fixtures
BuildRequires:  python2-mock
BuildRequires:  python2-testrepository
BuildRequires:  python2-testtools
BuildRequires:  python2-cliff
BuildRequires:  python2-ironicclient
BuildRequires:  python-ironic-inspector-client
BuildRequires:  python2-heatclient
BuildRequires:  python2-mistralclient
BuildRequires:  python2-openstackclient
BuildRequires:  python2-oslo-config
BuildRequires:  python-websocket-client
BuildRequires:  python2-testscenarios
BuildRequires:  PyYAML
BuildRequires:  python2-passlib
BuildRequires:  openstack-tripleo-common
BuildRequires:  python2-osc-lib-tests
BuildRequires:  python-requests-mock
BuildRequires:  git
BuildRequires:  instack-undercloud
BuildRequires:  openstack-macros

Requires:       instack
Requires:       instack-undercloud
Requires:       openstack-selinux
Requires:       python2-babel >= 2.3.4
Requires:       python2-cliff
Requires:       python-ipaddress
Requires:       python-ironic-inspector-client >= 1.5.0
Requires:       python2-ironicclient >= 2.3.0
Requires:       python2-heatclient >= 1.10.0
Requires:       python2-mistralclient >= 3.1.0
Requires:       python2-openstackclient >= 3.12.0
Requires:       python2-osc-lib >= 1.8.0
Requires:       python2-pbr
Requires:       python2-psutil
Requires:       python-websocket-client
Requires:       python2-passlib
Requires:       python-simplejson >= 3.5.1
Requires:       python2-six
Requires:       sos
Requires:       openstack-tripleo-common >= 9.3.0
Requires:       os-net-config
Requires:       python2-cryptography >= 2.1
# Dependencies for a containerized undercloud
Requires:       python-tripleoclient-heat-installer
# Dependency for correct validations
Requires:       openstack-tripleo-validations

Obsoletes: python-rdomanager-oscplugin < 0.0.11
Provides: python-rdomanager-oscplugin = %{version}-%{release}

%description
python-tripleoclient is a Python plugin to OpenstackClient
for TripleO <https://github.com/openstack/python-tripleoclient>.

# Not supported by OSP yet
%package heat-installer
Summary:        Components required for a containerized undercloud

# Required for containerized undercloud
Requires:       docker
Requires:       docker-distribution
Requires:       python-ipaddr
Requires:       openvswitch
Requires:       openstack-heat-agents >= 1.6.0
Requires:       openstack-heat-api >= 11.0.0
Requires:       openstack-heat-engine >= 11.0.0
# required as we now use --heat-native
Requires:       openstack-heat-monolith >= 11.0.0
Requires:       openstack-tripleo-heat-templates >= 9.0.0
Requires:       puppet-tripleo >= 9.3.0

%description heat-installer
python-tripleoclient-heat-installer is a sub-package that contains all dependencies to
deploy a containerized undercloud with tripleo client.

%prep
%autosetup -n %{name}-%{upstream_version} -S git
sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
%py_req_cleanup

%build
%{__python2} setup.py build
PYTHONPATH=. oslo-config-generator --config-file=config-generator/undercloud.conf

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
# undercloud.conf.sample needs to be copied by the user when deploying an undercloud,
# so 644 is enough to make it happen. Note instack-undercloud had similar permissions for
# this file.
install -p -D -m 644 undercloud.conf.sample  %{buildroot}/%{_datadir}/%{name}/undercloud.conf.sample
mkdir -p %{buildroot}/%{_sharedstatedir}/tripleo-heat-installer

%check
PYTHONPATH=. %{__python2} setup.py testr

%files
%{_datadir}/%{name}
%{python2_sitelib}/tripleoclient*
%{python2_sitelib}/python_tripleoclient*
%doc LICENSE README.rst
%dir %{_sharedstatedir}/tripleo-heat-installer

%files heat-installer

%changelog
* Wed Feb 20 2019 Thierry Vignaud <tvignaud@redhat.com> 10.6.1-0.20190117233304.e780899
- Rebase over RDO

* Fri Feb 15 2019 Alex Schultz <aschultz@redhat.com> 10.6.1-0.20181010222416
- Run hostname check for standalone (rhbz#1665613)

* Mon Jan 28 2019 Emilien Macchi <emilien@redhat.com> 10.6.1-0.20181010222415.8c8f259
- Fix defaults to templates, roles-file and plan-environment (rhbz#1638931)

* Mon Jan 28 2019 Emilien Macchi <emilien@redhat.com> 10.6.1-0.20181010222414.8c8f259
- Don't print message in payload if None (rhbz#1654293)
- Use --preserve-env to keep proxy settings (rhbz#1664528)

* Thu Jan 03 2019 “Beth <belwell@redhat.com> 10.6.1-0.20181010222413.8c8f259
- Fix stack.name to stack.stack_name (rhbz#1644861)
- Don't exit on RUNNING status on delete (rhbz#1644861)

* Wed Dec 12 2018 “Beth <belwell@redhat.com> 10.6.1-0.20181010222412.8c8f259
- Change the overcloud delete command to use undeploy_plan (rhbz#1644861)

* Tue Dec 11 2018 Gael Chamoulaud <gchamoul@redhat.com> 10.6.1-0.20181010222411.8c8f259
- undercloud: enable undercloud_config parameter for validations (rhbz#1643917)

* Tue Dec 04 2018 Tony Breeds <tonyb@redhat.com> 10.6.1-0.20181010222410.8c8f259
- Add AdditionalArchitectures when configured (rhbz#1654119)

* Fri Nov 30 2018 Sergii Golovatiuk <sgolovat@redhat.com> 10.6.1-0.20181010222409.8c8f259
- Add docker bridge ip option to the undercloud.conf (rhbz#1649726)

* Thu Nov 29 2018 Cédric Jeanneret <cjeanner@redhat.com> 10.6.1-0.20181010222408.8c8f259
- Remove timeout in config-download (rhbz#1654739)

* Thu Nov 29 2018 Jiri Stransky <jistr@redhat.com> 10.6.1-0.20181010222407.8c8f259
- [Rocky] Fix backport of undercloud online upgrade (rhbz#1651319)

* Wed Nov 28 2018 Jiri Stransky <jistr@redhat.com> 10.6.1-0.20181010222406.8c8f259
- Run online data migrations during undercloud/standalone upgrades (rhbz#1651319)

* Wed Nov 07 2018 Jiri Stransky <jistr@redhat.com> 10.6.1-0.20181010222405.8c8f259
- Always run upgrades/updates as tripleo-admin (rhbz#1644702)
- Validate routed networks enabled if multiple subnets in conf (rhbz#1636693)

* Fri Oct 26 2018 James Slagle <jslagle@redhat.com> 10.6.1-0.20181010222404.8c8f259
- Increase the deploy_plan timeout in tripleoclient (rhbz#1607623)

* Wed Oct 24 2018 James Slagle <jslagle@redhat.com> 10.6.1-0.20181010222403.8c8f259
- Fix type of --config-download-timeout (rhbz#1641380)

* Thu Oct 18 2018 Cédric Jeanneret <cjeanner@redhat.com> 10.6.1-0.20181010222402.8c8f259
- Honor blacklist during temp key injection (rhbz#1638810)

* Tue Oct 16 2018 Thierry Vignaud <tvignaud@redhat.com> 10.6.1-0.20181010222401.8c8f259
- Update deployment status when deploying or failed (rhbz#1635053)
- Use sync action get_deployment_failures
- Disable SSH password authentication during tripleo-admin enablement.
- Handle non-existant plan when getting deployment status
- Address python3 string issues with subprocess

